Ticket #42708

civ2civ3: adjust script that adds labels to the map

Open Date: 2021-08-13 09:45 Last Update: 2021-09-05 01:22

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

civ2civ3: minor changes to the script that adds labels to the map.

- Prevent "Great Barrier Reef" and "Great Blue Hole" from appearing near Glaciers:

Now "Glacier Bay" is Ocean adjacent to Glacier

while "Ice Shelf" is Glacier adjacent to Ocean

- Swap "Mud Volcanoes" (now on Hills) with "Valley of Geysers" (now on Plains), that makes more sense visually.

- Reduce a bit the randomness, making labels more dependant on the actual landscape:

Deep Ocean can be "Deep Trench" if fully surrounded by Deep Oceans, else "Thermal Vent"

Forest can be "Sequoia Forest" if fully surrounded by Forests, else "Millenary Trees"

- Add some more comments.

Ticket History (3/7 Histories)

2021-08-13 09:45 Updated by: bard
  • New Ticket "civ2civ3: adjust script that adds labels to the map" created
2021-08-13 09:56 Updated by: bard
Comment

The idea of these labels was to add an extra to the tile, named "natural wonder", with some luxury bonus, but it'd require a new graphical fx. I rather leave such changes for future patches.

I think this patch is ready to be included in 3.0.0-beta3, that is why I selected it as MileStone, but feel free to change it.

2021-09-01 11:09 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
Comment

No need to do changes in this ticket (I already did in my local branch), but please include ticket number (like "See osdn #42708") in the commit message. Also, the first line of the commit message should be in imperative mood ("civ2civ3: Adjust the script...")

2021-09-04 10:41 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed
2021-09-05 01:22 Updated by: bard
Comment

Ok, thank you.

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login